Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032906
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-05-09 13:042016-08-11 18:40
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisionea24d6781214
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032906: Cannot process an inventory amount update if the user is logged in with Spanish (Spain) language

DescriptionCannot process an inventory amount update if the user is logged in with Spanish (Spain) language
Steps To ReproduceHaving the latest translation modules installed
As group admin role:
   Log in with Spanish (Spain) language
   Create a record in Ajuste de Valor del Inventario window
   Add a line to it
   Try to process it and check the following error message is shown:
      "name: Value (Inventario de cierre de la ActualizaciĆ³n del Valor de Inventario) is too long, it has length 64, the maximum allowed length is 60"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00335173.0PR16Q4 closedmarkmm82 Openbravo ERP API Change Request: Change M_Inventory.name length 
has duplicate defect 0035047 closedTriage Finance Localization Pack: Spain Inventory Amount Update - Process Fails 

-  Notes
(0088612)
hgbot (developer)
2016-07-21 13:25

Repository: erp/devel/pi
Changeset: ea24d6781214af67b905811dc1f46cbac9a7a240
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Jul 20 17:22:08 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ea24d6781214af67b905811dc1f46cbac9a7a240 [^]

Fixes issue 32906: Cannot process an inventory amount update

The "name" field length in m_inventory table was increased to 100 to avoid errors when records are created or updated if the user is logged in with Spanish (Spain) language and translations have more than 60 characters.

---
M src-db/database/model/tables/M_INVENTORY.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0088613)
hgbot (developer)
2016-07-21 13:26

Repository: erp/devel/api-checks
Changeset: 6ed7fefc1fd3493e310a8ff9e87e38350a74d71b
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Jul 20 17:22:08 2016 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/6ed7fefc1fd3493e310a8ff9e87e38350a74d71b [^]

Fixes issue 33517: API change for issue 32906

---
M model/src-db/database/model/tables/M_INVENTORY.xml
M model/src-db/database/sourcedata/AD_COLUMN.xml
M model/src-db/database/sourcedata/AD_FIELD.xml
---
(0088616)
aferraz (developer)
2016-07-21 13:43

Code review + Testing OK
(0089024)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-09 13:04 ngarcia New Issue
2016-05-09 13:04 ngarcia Assigned To => ioritzCia
2016-05-09 13:12 eugeni Issue Monitored: eugeni
2016-07-06 13:40 egoitz Assigned To ioritzCia => Triage Finance
2016-07-06 16:49 vmromanos Assigned To Triage Finance => markmm82
2016-07-08 09:15 ngarcia Issue Monitored: networkb
2016-07-13 22:14 markmm82 Status new => scheduled
2016-07-21 10:04 aferraz Project Localization Pack: Spain => Openbravo ERP
2016-07-21 10:05 aferraz Modules => Core
2016-07-21 10:05 aferraz Triggers an Emergency Pack => No
2016-07-21 10:05 aferraz Category Translation => 04. Warehouse management
2016-07-21 10:21 aferraz Relationship added depends on 0033517
2016-07-21 13:25 hgbot Checkin
2016-07-21 13:25 hgbot Note Added: 0088612
2016-07-21 13:25 hgbot Status scheduled => resolved
2016-07-21 13:25 hgbot Resolution open => fixed
2016-07-21 13:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ea24d6781214af67b905811dc1f46cbac9a7a240 [^]
2016-07-21 13:26 hgbot Checkin
2016-07-21 13:26 hgbot Note Added: 0088613
2016-07-21 13:43 aferraz Review Assigned To => aferraz
2016-07-21 13:43 aferraz Note Added: 0088616
2016-07-21 13:43 aferraz Status resolved => closed
2016-07-21 13:43 aferraz Fixed in Version => 3.0PR16Q4
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089024
2017-09-27 09:21 ngarcia Relationship added has duplicate 0035047


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker